/*
 * (c)COPYRIGHT
 * ALL RIGHT RESERVED
 *
 * FileName : w5500.c
 * -----------------------------------------------------------------
 */
#include <stdio.h>
#include <string.h>
#include "W5500\SPI1.h"
#include "W5500\w5500_delay.h"
#include "W5500\w5500_if.h"

/*******************************************************************************
 * Function Name  : IINCHIP_CSoff 
 * Description    : unassert SCS
 * Input          : None
 * Output         : None
 * Return         : None
 *******************************************************************************/
void IINCHIP_CSoff(void)
{
    GPIO_ResetBits(GPIOA, GPIO_Pin_4); 
}

/*******************************************************************************
 * Function Name  : IINCHIP_CSon
 * Description    : assert SCS
 * Input          : None
 * Output         : None
 * Return         : None
 *******************************************************************************/
void IINCHIP_CSon(void)
{
    GPIO_SetBits(GPIOA, GPIO_Pin_4); 
}

/*******************************************************************************
 * Function Name  : IINCHIP_SpiSendData
 * Description    : SPI READ / WRITE function
 * Input          : write value
 * Output         : None
 * Return         : read value
 *******************************************************************************/
uint8_t  IINCHIP_SpiSendData(uint8 dat)
{
    return(SPI1_SendByte(dat));
}

/*******************************************************************************
 * Function Name  : Reset_W5500
 * Description    : W5500 HW RESET function
 * Input          : Node
 * Output         : None
 * Return         : None
 *******************************************************************************/
void HWReset_W5500(void)
{
    GPIO_ResetBits(GPIOB, GPIO_Pin_8);
    Delay_us(2);
    GPIO_SetBits(GPIOB, GPIO_Pin_8);
    Delay_ms(1000);
}
